> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roboconoxon.org.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Schedule

> Combined games + events, sorted by time.



## OpenAPI

````yaml /openapi.json get /api/v1/schedule
openapi: 3.1.0
info:
  title: Robotics Event System V4
  version: 4.0.0
servers: []
security: []
paths:
  /api/v1/schedule:
    get:
      tags:
        - schedule
      summary: Get Schedule
      description: Combined games + events, sorted by time.
      operationId: get_schedule_api_v1_schedule_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ScheduleItem'
                type: array
                title: Response Get Schedule Api V1 Schedule Get
components:
  schemas:
    ScheduleItem:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        start_time:
          type: integer
          title: Start Time
        end_time:
          type: integer
          title: End Time
        is_game:
          type: boolean
          title: Is Game
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
      type: object
      required:
        - id
        - name
        - start_time
        - end_time
        - is_game
      title: ScheduleItem

````